% Quadratic objective
%
% qq is the Hessian matrix
% vv is the vector of linear coefficients
% xx is the current iterate
%
% value is the function value at xx
% gradient is the gradient at xx
% hessian is the hessian at xx
%
function [ value, gradient, hessian ] = objective_quadratic( qq, vv, xx )

value = 0.5 * xx' * qq * xx + vv' * xx;

if ( nargout > 1 )

	gradient = qq * xx + vv;

	if ( nargout > 2 )
		hessian = qq;
	end
end
