% sum_i exp( < a_i | x > + b_i ) objective
%
% aa is the matrix of coefficients
% bb is the bias term
% xx is the current iterate
%
% value is the function value at xx
% gradient is the gradient at xx
% hessian is the hessian at xx
%
function [ value, gradient, hessian ] = objective_sum_exp( aa, bb, xx )

exp_aa_xx = exp( aa * xx + bb );
value = sum( exp_aa_xx );

if ( nargout > 1 )

	gradient = ( exp_aa_xx' * aa )';

	if ( nargout > 2 )
		hessian = aa' * diag( exp_aa_xx ) * aa;
	end
end
